﻿using Android.Content;
using Com.Telerik.Widget.Dataform.Engine;
using Com.Telerik.Widget.Dataform.Visualization;
using Com.Telerik.Widget.Dataform.Visualization.Core;
using Telerik.XamarinForms.Input;
using Telerik.XamarinForms.Input.DataForm;
using Telerik.XamarinForms.InputRenderer.Android;
using Xamarin.Forms;
using XFDF.Droid;

[assembly: ExportRenderer(typeof(Telerik.XamarinForms.Input.RadDataForm), typeof(MyDFRenderer))]
namespace XFDF.Droid
{
    public class MyDFRenderer : DataFormRenderer
    {
        public MyDFRenderer(Context context) : base(context)
        {
        }

        protected override EntityPropertyEditor GetCustomEditorForProperty(Com.Telerik.Widget.Dataform.Visualization.RadDataForm form, Com.Telerik.Widget.Dataform.Engine.IEntityProperty nativeProperty, Telerik.XamarinForms.Input.DataForm.IEntityProperty property)
        {
            if (property.PropertyName == "Notes")
            {
                return new Com.Telerik.Widget.Dataform.Visualization.Editors.DataFormMultilineTextEditor(form, nativeProperty);
            }

            return base.GetCustomEditorForProperty(form, nativeProperty, property);
        }
    }
}