﻿using System;
using Telerik.XamarinForms.Input;
using Telerik.XamarinForms.InputRenderer.iOS;
using TelerikUI;
using Xamarin.Forms;
using XFDF.iOS;

[assembly: ExportRenderer(typeof(RadDataForm), typeof(MyDFrenderer))]

namespace XFDF.iOS
{
    public class MyDFrenderer : DataFormRenderer
    {
        protected override Type GetCustomEditorType(string propertyName, Type propertyType)
        {
            if (propertyName == "Notes")
            {
                return typeof(TKDataFormMultilineTextEditor);
            }
            return base.GetCustomEditorType(propertyName, propertyType);
        }
    }
}