﻿using System;
using System.Collections.Generic;
using System.Text;
using Telerik.XamarinForms.Common;
using Telerik.XamarinForms.Common.DataAnnotations;

namespace XFDF
{
    public class SourceItem : NotifyPropertyChangedBase
    {
        string name = "Anna";
        private string notes;

        [DisplayOptions(Group = "Notes", Header = "Notes", Position = 0, ColumnPosition = 0, ColumnSpan = 4)]
        public string Notes
        {
            get { return this.notes; }
            set
            {
                if (value != this.notes)
                {
                    this.notes = value;
                    OnPropertyChanged();
                }
            }
        }

        [DisplayOptions(Header = "Name")]
        public string Name
        {
            get { return this.name; }
            set
            {
                if (value != this.name)
                {
                    this.name = value;
                    OnPropertyChanged();
                }
            }
        }
    }
}
